Input Format
------------
view parameters
number of colour channels
number of surfaces
for each surface :
	grid_info :
		horizontal_divisions
		vertical_divisions
	emitter_flag (0 - NonEmitter, 
		      1 - Diffuse Emitter,
	if emitter for each channel 
		source_strength
	reflection_type (0 - Diffuse 1 - Specular)
	for each color_channel 
		reflectance values
	geom_type (0 - quadrilateral, 1 - Sphere, 2 - Bubble, 3 - Cylinder
		   4 - Tube, 5 - Cone, 6 - Cup, 7 - Ring, 8 - Polygon > 8 others)
	geometry : 
		for quadrilateral
			P00 
			P10 
			P11 
			P01 (Vertices Counter Clockwise) 
		for sphere and bubble
			centre
			radius
		for cylinder and tube
			base point1
			base point2
			radius
		for cone and cup
			apex point
			apex radius
			base point
			base radius
		for ring
			center
			normal
			inner radius
			outer radius
		for polygon
			number of vertices
			vertices
			.
			.
		for others
			nill
Optionally
----------
Subdivisions of Bounding Volume :
	across_x, across_y, across_z.

Viewing Model :
---------------
1) Simple Viewing Model : View type = 'v' for perspective
	Image Resolution : <xreso, yreso>
        View Point : <x,y,z>
        view Plane Normal : <dx,dy,dy>
        view up vector : <dx,dy,dz>
        horiz field of view : <angle>
        vert field of view : <angle>

2) Special Vewing Model: view type = 's'
	A synthetic camera moves along a SPECIFIED PATH.
	The path for convenience is on a plane. So specified 
	PLANE NORMAL fixes the camera up position.
	The horizontal axis of the camera is ALONG or AGAINST
	the tangent to the path.
	Camera view plane is at a fixed distance away from the eye position.( 1 unit).
	The view plane extent is specified by the FIELD OF VIEW angle(FOV).
	To allow for the change in field of view while moving along the
	path the start FOV and the end FOV is specified. A linear
	interpolated FOV is provided for the required frame.

	Implementation Limitations:
	---------------------------
	1) Path is planar path.
	2) Only paths supported are line and circular arc.

	Input Format
	------------
	number of frames
	if (number of frames > 0)
		rows and cols in the frame 
		field of view range : start FOV, end FOV
		path plane normal
		camera horizontal axis : Along the path(1) or Against the path (0)
		camera vertical offset from path : start_offset, end_offset
		type of path : linear(0) or circular_arc(1)
		path specific input :
			if circular arc :
				origin of circle, radius of circle
				start angle and end angle of the arc
				Angle 0 - Indicates viewing
					along the X-axis of the Camera.
			if linear :
				start point, end point

